Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

peg mocha dependency to 0.9.12 version (latest version) of mocha.

requires a change to a test so it will pass on new mocha.
also fixed a problem with gem build (README is not a file, README.md is)
  • Loading branch information...
commit 5640e5101d66a601ad1f82fb62f39dcdba097a30 1 parent 13bbce3
@croaky croaky authored
View
4 Rakefile
@@ -55,7 +55,7 @@ desc 'Generate documentation.'
Rake::RDocTask.new(:rdoc) do |rdoc|
rdoc.rdoc_dir = 'rdoc'
rdoc.title = 'Bourne'
- rdoc.options << '--line-numbers' << "--main" << "README"
- rdoc.rdoc_files.include('README')
+ rdoc.options << '--line-numbers' << "--main" << "README.md"
+ rdoc.rdoc_files.include('README.md')
rdoc.rdoc_files.include('lib/**/*.rb')
end
View
8 bourne.gemspec
@@ -2,13 +2,13 @@ Gem::Specification.new do |s|
s.name = %q{bourne}
s.version = "1.0"
s.authors = ["Joe Ferris"]
- s.date = %q{2010-06-08}
+ s.date = %q{2011-03-27}
s.description = %q{Extends mocha to allow detailed tracking and querying of
stub and mock invocations. Allows test spies using the have_received rspec
matcher and assert_received for Test::Unit. Extracted from the
jferris-mocha fork.}
s.email = %q{jferris@thoughtbot.com}
- s.extra_rdoc_files = ["README", "LICENSE"]
+ s.extra_rdoc_files = ["README.md", "LICENSE"]
s.files = %w(lib/bourne/api.rb lib/bourne/expectation.rb
lib/bourne/invocation.rb lib/bourne/mock.rb
lib/bourne/mockery.rb lib/bourne.rb
@@ -21,13 +21,13 @@ Gem::Specification.new do |s|
test/unit/assert_received_test.rb test/unit/expectation_test.rb
test/unit/have_received_test.rb test/unit/invocation_test.rb
test/unit/mock_test.rb test/unit/mockery_test.rb LICENSE
- Rakefile README)
+ Rakefile README.md)
s.homepage = %q{http://github.com/thoughtbot/bourne}
s.rdoc_options = ["--title", "Bourne", "--main", "README", "--line-numbers"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.4}
s.summary = %q{Adds test spies to mocha.}
s.specification_version = 3
- s.add_runtime_dependency(%q<mocha>, ["= 0.9.8"])
+ s.add_runtime_dependency(%q<mocha>, ["= 0.9.12"])
s.add_development_dependency(%q<rake>, [">= 0"])
end
View
2  test/test_helper.rb
@@ -15,5 +15,5 @@
require 'rubygems'
require 'test/unit'
-gem 'mocha', '0.9.8'
+gem 'mocha', '0.9.12'
View
3  test/unit/expectation_test.rb
@@ -317,7 +317,8 @@ def test_should_not_verify_successfully_if_expected_call_was_made_too_few_times
expectation = new_expectation.times(2)
1.times {expectation.invoke([])}
assert !expectation.verified?
- assert_match(/expected exactly twice, already invoked once/i, expectation.mocha_inspect)
+ assert_match(/expected exactly twice/i, expectation.mocha_inspect)
+ assert_match(/invoked once/i, expectation.mocha_inspect)
end
def test_should_not_verify_successfully_if_expected_call_was_made_too_many_times
Please sign in to comment.
Something went wrong with that request. Please try again.